Subject: Re: [IPV6] ADDRCONF: Defer dad for global address until dad for linklocal is completed.

From: Toyo Abe <[email-masked]>
Date: Thu, 22 May 2008 02:30:52 +0900

YOSHIFUJI Hideaki / 吉藤英明 wrote:
> In article <[email-masked]> (at Tue, 20 May 2008 21:27:56 +0900), Toyo Abe <[email-masked]> says:
> 
>> I was also thinking so. And I tried it at first.
>> But then, many other test scenarios in TAHI test suite went to FAIL. It
>> was because
>> the tester node send RA with prefix option to the host right after it
>> receives DAD NS
>> from the host, which is obviously in autoconfiguration process for
>> linklocal address.
> 
> If so, we should complain about the spec / tests.
>
Maybe so.
Well, did you observe the same problem?

>> Since current addrconf code actually accepts RA including prefix option 
>> while DAD for
>> linklocal address is processing, changes of the behaviour looks like a 
>> degradation for me.
>> Hence, I chose to accept RA at that moment and defer sending DAD NS for 
>> global addresses.
> 
> Well I don't think so.
> We should choose simpler way - avoid introducing new "unique" state so far.
> 
> If you really think is worth accepting RA during DAD for link-local
> address, we should cancel all of on-going DADs for global address(es)
> if the RA for link-local address has failed, intead of deferring DAD
> for global address(es).
>
You're right. I agree with you that it'd be better than mine.

Thank you,
-toyo